Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154813 - WMF preview is upside down
Summary: WMF preview is upside down
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libwmf
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-14 12:50 UTC by Tim Waugh
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.2.8.3-9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-26 15:38:50 UTC


Attachments (Terms of Use)
cat1.wmf (deleted)
2005-04-14 14:04 UTC, Tim Waugh
no flags Details

Description Tim Waugh 2005-04-14 12:50:02 UTC
Description of problem:
In FC3 and rawhide, previewing a WMF graphics file shows the image rotated 180°.

Version-Release number of selected component (if applicable):
openoffice.org-1.1.3-11.5.0.fc3
openoffice.org-core-1.9.92-2

How reproducible:
100%

Steps to Reproduce:
1. Insert->Picture->From File...

WMF file available if you'd like.

Comment 1 Caolan McNamara 2005-04-14 12:58:04 UTC
*chuckle*, attach a sample wmf.

Comment 2 Tim Waugh 2005-04-14 14:04:09 UTC
Created attachment 113147 [details]
cat1.wmf

Comment 3 Caolan McNamara 2005-04-14 14:16:19 UTC
browse the directory with gthumb and it's also upsidedown. So whatever backend
to gdk_pixbuf_new_from_file... opens wmf is putting it upsidedown.

Comment 4 Tim Waugh 2005-04-14 14:21:06 UTC
Confirmed.  Presumably that's libwmf then.

Comment 5 Caolan McNamara 2005-04-14 14:25:21 UTC
yes, which brilliantly is also my problem :-)

Comment 6 Tim Waugh 2005-08-08 15:13:49 UTC
Fix confirmed.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.